org.apache.ignite.internal.processors.cache

## Class CacheGroupData

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheGroupData

All Implemented Interfaces:
  Serializable

    public class CacheGroupData
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`CacheConfigurationEnrichment` `cacheConfigurationEnrichment()`
`CacheConfiguration<?,?>` `config()`
`IgniteUuid` `deploymentId()`
`int` `groupId()`
`@Nullable String` `groupName()`
`boolean` `persistenceEnabled()`
`UUID` `receivedFrom()`
`@Nullable AffinityTopologyVersion` `startTopologyVersion()`
`String` `toString()`
`List<WalStateProposeMessage>` `walChangeRequests()`
`boolean` `walEnabled()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### startTopologyVersion

    @Nullable
    public @Nullable AffinityTopologyVersion startTopologyVersion()

Returns:
  Start version for dynamically started group.

#### receivedFrom

    public UUID receivedFrom()

Returns:
  Node ID group was received from.

#### groupName

    @Nullable
    public @Nullable String groupName()

Returns:
  Group name.

#### groupId

    public int groupId()

Returns:
  Group ID.

#### deploymentId

    public IgniteUuid deploymentId()

Returns:
  Deployment ID.

#### config

    public CacheConfiguration<?,?> config()

Returns:
  Configuration.

#### persistenceEnabled

    public boolean persistenceEnabled()

Returns:
  Persistence enabled flag.

#### walEnabled

    public boolean walEnabled()

Returns:
  `True` if WAL is enabled.

#### walChangeRequests

    public List<WalStateProposeMessage> walChangeRequests()

Returns:
  WAL mode change requests.

#### cacheConfigurationEnrichment

    public CacheConfigurationEnrichment cacheConfigurationEnrichment()

Returns:
  Cache configuration enrichment.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020